LibreOffice: XFastContextHandler Interface Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XFastContextHandler Interface Reference

receives notification of sax document events from a XFastParser. More...

`import"XFastContextHandler.idl";`

Inheritance diagram for XFastContextHandler:

## Public Member Functions
void | startFastElement ([in] long Element, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an element . More...
void | startUnknownElement ([in] string Namespace, [in] string Name, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an unknown element . More...
void | endFastElement ([in] long Element) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of an known element. More...
void | endUnknownElement ([in] string Namespace, [in] string Name) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of an known element. More...
XFastContextHandler | createFastChildContext ([in] long Element, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of a known child element. More...
XFastContextHandler | createUnknownChildContext ([in] string Namespace, [in] string Name, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of a unknown child element . More...
void | characters ([in] string aChars) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of character data. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives notification of sax document events from a XFastParser.

See also
  XFastDocumentHandler

## Member Function Documentation

## ◆ characters()

void characters | ( | [in] string | aChars | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

receives notification of character data.

## ◆ createFastChildContext()

XFastContextHandler createFastChildContext | ( | [in] long | Element,
|  | [in] XFastAttributeList | Attribs
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

receives notification of the beginning of a known child element.

Parameters

  Element | contains the integer token from the XFastTokenHandler registered at the XFastParser.

If the element has a namespace that was registered with the XFastParser, `Element` contains the integer token of the elements local name from the XFastTokenHandler and the integer token of the namespace combined with an arithmetic or operation.

Parameters

  Attribs | Contains a XFastAttributeList to access the attributes from the element.

## ◆ createUnknownChildContext()

XFastContextHandler createUnknownChildContext | ( | [in] string | Namespace,
|  | [in] string | Name,
|  | [in] XFastAttributeList | Attribs
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

receives notification of the beginning of a unknown child element .

Parameters

  Namespace | contains the namespace url (not the prefix!) of this element.
  Name | contains the elements local name.
  Attribs | Contains a XFastAttributeList to access the attributes the element.

## ◆ endFastElement()

void endFastElement | ( | [in] long | Element | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

receives notification of the end of an known element.

See also
  startFastElement

## ◆ endUnknownElement()

void endUnknownElement | ( | [in] string | Namespace,
|  | [in] string | Name
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

receives notification of the end of an known element.

See also
  startUnknownElement

## ◆ startFastElement()

void startFastElement | ( | [in] long | Element,
|  | [in] XFastAttributeList | Attribs
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

receives notification of the beginning of an element .

Parameters

  Element | contains the integer token from the XFastTokenHandler registered at the XFastParser.

If the element has a namespace that was registered with the XFastParser, `Element` contains the integer token of the elements local name from the XFastTokenHandler and the integer token of the namespace combined with an arithmetic or operation.

Parameters

  Attribs | Contains a XFastAttributeList to access the attributes from the element.

## ◆ startUnknownElement()

void startUnknownElement | ( | [in] string | Namespace,
|  | [in] string | Name,
|  | [in] XFastAttributeList | Attribs
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

receives notification of the beginning of an unknown element .

Parameters

  Namespace | contains the namespace url (not the prefix!) of this element.
  Name | contains the elements local name.
  Attribs | Contains a XFastAttributeList to access the attributes from the element.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XFastContextHandler.idl